Main Page Data Structures File List Data Fields Globals Related Pages

# tag_UserDhcpEthEntry Struct Reference

`#include <TCPIPAPI.H>`

## Data Fields
unsigned long | BootSIpAddress
unsigned long | Dns1ServerIpAddress
unsigned long | Dns2ServerIpAddress
unsigned long | Yiaddr
unsigned long | NetMask
unsigned long | DefRouter
unsigned long | DhcpServerId
unsigned long | internal1
unsigned long | internal2
unsigned long | DhcpLeaseTime
unsigned long | internal3
unsigned long | internal4
unsigned char | DomainName [64]
unsigned char | BootSname [64]
unsigned char | BootFileName [128]
unsigned short | BootFileSize
unsigned short | internal5

## Field Documentation

unsigned char tag_UserDhcpEthEntry::BootFileName[128]

| Definition at line 514 of file TCPIPAPI.H.

unsigned short tag_UserDhcpEthEntry::BootFileSize

| Definition at line 515 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::BootSIpAddress

| Definition at line 500 of file TCPIPAPI.H.

unsigned char tag_UserDhcpEthEntry::BootSname[64]

| Definition at line 513 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::DefRouter

| Definition at line 505 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::DhcpLeaseTime

| Definition at line 509 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::DhcpServerId

| Definition at line 506 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::Dns1ServerIpAddress

| Definition at line 501 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::Dns2ServerIpAddress

| Definition at line 502 of file TCPIPAPI.H.

unsigned char tag_UserDhcpEthEntry::DomainName[64]

| Definition at line 512 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::internal1

| Definition at line 507 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::internal2

| Definition at line 508 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::internal3

| Definition at line 510 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::internal4

| Definition at line 511 of file TCPIPAPI.H.

unsigned short tag_UserDhcpEthEntry::internal5

| Definition at line 516 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::NetMask

| Definition at line 504 of file TCPIPAPI.H.

unsigned long tag_UserDhcpEthEntry::Yiaddr

| Definition at line 503 of file TCPIPAPI.H.

The documentation for this struct was generated from the following file:

- clib/TCPIPAPI.H